import React from 'react';
import PropTypes from 'prop-types';
export declare class NotificationDispatcher extends React.Component<any, any> {
    static childContextTypes: {
        isTopFixedNotification: PropTypes.Requireable<boolean>;
    };
    constructor(props: any, context: any);
    getChildContext(): {
        isTopFixedNotification: boolean;
    };
    showNotification(element: any): Promise<{}>;
    onNotificationClose(key: any): void;
    render(): JSX.Element;
}
